Skip to content
This repository has been archived by the owner. It is now read-only.
Permalink
Browse files

Mac: Codify SDK and OS requirements, and clean up.

This #errors if you're using an SDK or deployment target that is less
than 10.6 and 10.5, respectively, and cleans up uses of
MAC_OS_X_VERSION_MIN_REQUIRED and MAC_OS_X_VERSION_MAX_ALLOWED according
to those requirements.
  • Loading branch information
jorgenpt committed Jul 24, 2013
1 parent 82838e1 commit 140f0638eac16d28ef02bc0430f8ba42154118a8

File 1 of 14 in 140f063

@@ -7,15 +7,13 @@
DEVELOPER="`xcode-select -print-path`/Platforms/MacOSX.platform/Developer"

# Intel 32-bit compiler flags (10.6 runtime compatibility)
GCC_COMPILE_X86="g++ -arch i386 -mmacosx-version-min=10.6 \
-DMAC_OS_X_VERSION_MIN_REQUIRED=1040 \
GCC_COMPILE_X86="g++ -arch i386 -mmacosx-version-min=10.5 \
-I/usr/local/include"

GCC_LINK_X86="-mmacosx-version-min=10.6"
GCC_LINK_X86="-mmacosx-version-min=10.5"

# Intel 64-bit compiler flags (10.6 runtime compatibility)
GCC_COMPILE_X64="g++ -arch x86_64 -mmacosx-version-min=10.6 \
-DMAC_OS_X_VERSION_MIN_REQUIRED=1050 \
-I/usr/local/include"

GCC_LINK_X64="-mmacosx-version-min=10.6"

0 comments on commit 140f063

Please sign in to comment.